List Invoices
curl --request GET \
--url https://api.arct.cloud/v1/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arct.cloud/v1/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arct.cloud/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_number": "<string>",
"status": "draft",
"subtotal": 123,
"tax": 123,
"total": 123,
"refunded_total": 123,
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z",
"due_date": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"payment_method": "<string>",
"hosted_invoice_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"items": [
{
"description": "<string>",
"quantity": 123,
"unit_price": 123,
"total": 123,
"server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total": 123,
"total_pages": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Invoices
List Invoices
Returns your invoices, newest first.
GET
/
invoices
List Invoices
curl --request GET \
--url https://api.arct.cloud/v1/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.arct.cloud/v1/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.arct.cloud/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_number": "<string>",
"status": "draft",
"subtotal": 123,
"tax": 123,
"total": 123,
"refunded_total": 123,
"period_start": "2023-11-07T05:31:56Z",
"period_end": "2023-11-07T05:31:56Z",
"due_date": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z",
"payment_method": "<string>",
"hosted_invoice_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"items": [
{
"description": "<string>",
"quantity": 123,
"unit_price": 123,
"total": 123,
"server_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total": 123,
"total_pages": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
API token from Dashboard > Settings > API Tokens.
Query Parameters
Page number.
Required range:
1 <= x <= 100000Items per page.
Required range:
1 <= x <= 100